Index: invariantview/src/sans/perspectives/invariant/invariant_details.py
===================================================================
--- invariantview/src/sans/perspectives/invariant/invariant_details.py	(revision ee54fcf09a9fa04691194323e29b576e16eda6b6)
+++ invariantview/src/sans/perspectives/invariant/invariant_details.py	(revision 3df5ecf36c006ac4922c5a1180c09c3689403610)
@@ -257,5 +257,5 @@
         """
         uncertainty = "+/-" 
-        unit_invariant = '[1/(cm * A)]'
+        unit_invariant = '[1/(cm * A^3)]'
      
         invariant_txt = wx.StaticText(self, -1, 'Q* from Data ')
Index: invariantview/src/sans/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/src/sans/perspectives/invariant/invariant_panel.py	(revision 07eb396406762c365b39097ecf432e829a5f81cd)
+++ invariantview/src/sans/perspectives/invariant/invariant_panel.py	(revision 3df5ecf36c006ac4922c5a1180c09c3689403610)
@@ -1314,5 +1314,5 @@
         self.data_range_sizer = wx.BoxSizer(wx.HORIZONTAL)
         #Sizer related to inputs
-        self.sizer_input =  wx.FlexGridSizer(2, 5, 0, 0)
+        self.sizer_input =  wx.FlexGridSizer(2, 6, 0, 0)
         #Sizer related to inputs
         inputs_box = wx.StaticBox(self, -1, "Customized Inputs")
@@ -1686,5 +1686,5 @@
         """
         unit_volume = ''
-        unit_surface = ''
+        unit_surface = '[1/A]'
         uncertainty = "+/-" 
         volume_txt = wx.StaticText(self, -1, 'Volume Fraction')
@@ -1752,5 +1752,5 @@
         """
         uncertainty = "+/-" 
-        unit_invariant = '[1/(cm * A)]'
+        unit_invariant = '[1/(cm * A^3)]'
         invariant_total_txt = wx.StaticText(self, -1, 'Invariant Total [Q*]')
         self.invariant_total_tcl = OutputTextCtrl(self, -1,
@@ -1788,5 +1788,5 @@
         Draw widgets related to inputs
         """
-        contrast_txt = wx.StaticText(self, -1, 'Contrast :')  
+        contrast_txt = wx.StaticText(self, -1, 'Contrast:')  
         self.contrast_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
                                         style=0, name='contrast_tcl')
@@ -1794,7 +1794,8 @@
         contrast_hint_txt = "Contrast"
         self.contrast_tcl.SetToolTipString(contrast_hint_txt)
-        contrast_unit_txt = wx.StaticText(self, -1, '[1/A^(2)]')  
+        contrast_unit_txt = wx.StaticText(self, -1, '[1/A^2]')  
         porod_const_txt = wx.StaticText(self, -1, 
-                                        'Porod Constant:\n(optional)\n')  
+                                        'Porod\nConstant:\n(optional)\n')  
+        porod_unit_txt = wx.StaticText(self, -1, '[1/(cm*A^4)]') 
         self.porod_constant_tcl = InvTextCtrl(self, -1, 
                                               size=(_BOX_WIDTH, 20), style=0,
@@ -1804,5 +1805,5 @@
         self.porod_constant_tcl.SetToolTipString(porod_const_hint_txt)
         
-        background_txt = wx.StaticText(self, -1, 'Background : ')  
+        background_txt = wx.StaticText(self, -1, 'Background:')  
         self.background_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20),
                                           style=0, name='background_tcl') 
@@ -1811,5 +1812,5 @@
         self.background_tcl.SetToolTipString(background_hint_txt)
         background_unit_txt = wx.StaticText(self, -1, '[1/cm]')  
-        scale_txt = wx.StaticText(self, -1, 'Scale : ')  
+        scale_txt = wx.StaticText(self, -1, 'Scale:')  
         self.scale_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0,
                                      name='scale_tcl')
@@ -1820,11 +1821,13 @@
                             (self.background_tcl, 0, wx.LEFT|wx.BOTTOM, 5),
                             (background_unit_txt, 0, wx.LEFT|wx.BOTTOM, 5),
-                            (scale_txt, 0, wx.LEFT|wx.BOTTOM, 20),
+                            (scale_txt, 0, wx.LEFT|wx.BOTTOM, 10),
                             (self.scale_tcl, 0, wx.LEFT|wx.BOTTOM|wx.RIGHT, 5),
+                            (10, 10),
                             (contrast_txt, 0, wx.LEFT|wx.BOTTOM, 5),
                             (self.contrast_tcl, 0, wx.LEFT|wx.BOTTOM, 5),
                             (contrast_unit_txt, 0, wx.LEFT|wx.BOTTOM, 5),
-                            (porod_const_txt, 0, wx.LEFT, 20),
-                (self.porod_constant_tcl, 0, wx.LEFT|wx.BOTTOM|wx.RIGHT, 5)])
+                            (porod_const_txt, 0, wx.LEFT, 10),
+                (self.porod_constant_tcl, 0, wx.LEFT|wx.BOTTOM|wx.RIGHT, 5),
+                (porod_unit_txt, 0, wx.LEFT|wx.BOTTOM, 5)])
         self.inputs_sizer.Add(self.sizer_input)
        
